com.h3c.util

## Enum MarkPageRequest.Navigation

- java.lang.Object
- - java.lang.Enum<MarkPageRequest.Navigation>
  - - com.h3c.util.MarkPageRequest.Navigation

- All Implemented Interfaces:
    Serializable, Comparable<MarkPageRequest.Navigation>
  Enclosing class:
    MarkPageRequest<M>

      public static enum MarkPageRequest.Navigation
      extends Enum<MarkPageRequest.Navigation>

  Page Navigation type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NEXT` Request the next page (Elements after the mark).
    `PREVIOUS` Requests the previous page (Elements previous to the mark).

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MarkPageRequest.Navigation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MarkPageRequest.Navigation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEXT

          public static final MarkPageRequest.Navigation NEXT

      Request the next page (Elements after the mark).

    - #### PREVIOUS

          public static final MarkPageRequest.Navigation PREVIOUS

      Requests the previous page (Elements previous to the mark).

  - ### Method Detail

    - #### values

          public static MarkPageRequest.Navigation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MarkPageRequest.Navigation c : MarkPageRequest.Navigation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MarkPageRequest.Navigation valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.